# WOKMake_StepAccessMacro.hxx File Reference

`#include <Standard_Macro.hxx>`

## Defines

#define | DECLARE_STEP(STEPMAME)

## Define Documentation

#define DECLARE_STEP | ( | STEPMAME |  | ) |

Value:

    extern "C" { \
      Standard_EXPORT Handle(WOKMake_Step) STEPMAME##_(const Handle(WOKMake_BuildProcess)&,const Handle(WOKernel_DevUnit)&, const Handle(TCollection_HAsciiString)&, \
                                          Standard_Boolean, Standard_Boolean); \
    } \
    Handle(WOKMake_Step) STEPMAME##_(const Handle(WOKMake_BuildProcess)&aprocess, const Handle(WOKernel_DevUnit)& aunit, const Handle(TCollection_HAsciiString)& acode, \
                                         Standard_Boolean checked, Standard_Boolean hidden) \
    {return new STEPMAME(aprocess,aunit,acode,checked,hidden);}